Environments

Get an environment

GET
/api/v1/projects/{projectId}/envs/{id}

Get a single environment by ID.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Path Parameters

id*string
Formatuuid
projectId*string

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/projects/string/envs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "success": true,  "errors": [    "string"  ],  "data": {    "id": "string",    "name": "string",    "description": "string",    "secrets": [      {        "id": "string",        "name": "string",        "type": "string",        "value": "string"      }    ],    "settings": {      "requireChangeComment": true    }  }}